package com.ruoyi.warehouseBusiness.excel;

import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 查询菜单导出
 *
 * @author shz
 * @date 2021-12-17
 */
public class QueryMenu {
    private static final long serialVersionUID = 1L;

    /**
     * 客户姓名
     */
    @Excel(name = "客户姓名")
    private String corpName;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 业务日期
     */
    @Excel(name = "业务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate;

    /**
     * 审核日期
     */
    @Excel(name = "审核日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fReviewDate;

    /**
     * 费用名称
     */
    @Excel(name = "费用名称")
    private String feeName;

    /**
     * 费用状态
     */
    @Excel(name = "费用状态")
    private String fBillstatusName;

    /**
     * 收、付,D:收 C:付
     */
    @Excel(name = "收/付", readConverterExp = "D=收,C=付")
    private String fDc;

    /**
     * 金额
     */
    @Excel(name = "金额")
    private Float fAmount;

    /**
     * 结算金额
     */
    @Excel(name = "结算金额")
    private Float fStlamount;

    /**
     * 结算日期
     */
    @Excel(name = "结算日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fStlamountDate;

    /**
     * 开票金额
     */
    @Excel(name = "开票金额")
    private Float fInvamount;

    /**
     * 发票号
     */
    @Excel(name = "发票号")
    private String fInvnos;

    /**
     * 对账金额
     */
    @Excel(name = "对账金额")
    private Float fAccamount;

    /**
     * 对账日期
     */
    @Excel(name = "对账日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAccamountDate;

    /**
     * 对账单号
     */
    @Excel(name = "对账单号")
    private String fStatementNo;

    /**
     * 计价单位
     */
    @Excel(name = "计价单位", readConverterExp = "1=件数,2=毛重,3=净重,4=尺码,5=固定,6=其他,7=箱量")
    private Long fFeeunitid;

    /**
     * 数量
     */
    @Excel(name = "数量")
    private Float fQty;

    /**
     * 单价
     */
    @Excel(name = "单价")
    private Float fUnitprice;

    /**
     * 业务类型
     */
    @Excel(name = "业务类型", readConverterExp = "SJRK=入库,SJCK=实际出库,CKDB=调拨,HQZY=货权转移,CDZZ=场地直装")
    private String fBilltype;

    /**
     * 货物名称
     */
    @Excel(name = "货物名称")
    private String fProductName;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;


    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public Date getfReviewDate() {
        return fReviewDate;
    }

    public void setfReviewDate(Date fReviewDate) {
        this.fReviewDate = fReviewDate;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }

    public String getfBillstatusName() {
        return fBillstatusName;
    }

    public void setfBillstatusName(String fBillstatusName) {
        this.fBillstatusName = fBillstatusName;
    }

    public String getfDc() {
        return fDc;
    }

    public void setfDc(String fDc) {
        this.fDc = fDc;
    }

    public Float getfAmount() {
        return fAmount;
    }

    public void setfAmount(Float fAmount) {
        this.fAmount = fAmount;
    }

    public Float getfStlamount() {
        return fStlamount;
    }

    public void setfStlamount(Float fStlamount) {
        this.fStlamount = fStlamount;
    }

    public Date getfStlamountDate() {
        return fStlamountDate;
    }

    public void setfStlamountDate(Date fStlamountDate) {
        this.fStlamountDate = fStlamountDate;
    }

    public Float getfInvamount() {
        return fInvamount;
    }

    public void setfInvamount(Float fInvamount) {
        this.fInvamount = fInvamount;
    }

    public String getfInvnos() {
        return fInvnos;
    }

    public void setfInvnos(String fInvnos) {
        this.fInvnos = fInvnos;
    }

    public Float getfAccamount() {
        return fAccamount;
    }

    public void setfAccamount(Float fAccamount) {
        this.fAccamount = fAccamount;
    }

    public Date getfAccamountDate() {
        return fAccamountDate;
    }

    public void setfAccamountDate(Date fAccamountDate) {
        this.fAccamountDate = fAccamountDate;
    }

    public String getfStatementNo() {
        return fStatementNo;
    }

    public void setfStatementNo(String fStatementNo) {
        this.fStatementNo = fStatementNo;
    }

    public Long getfFeeunitid() {
        return fFeeunitid;
    }

    public void setfFeeunitid(Long fFeeunitid) {
        this.fFeeunitid = fFeeunitid;
    }

    public Float getfQty() {
        return fQty;
    }

    public void setfQty(Float fQty) {
        this.fQty = fQty;
    }

    public Float getfUnitprice() {
        return fUnitprice;
    }

    public void setfUnitprice(Float fUnitprice) {
        this.fUnitprice = fUnitprice;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getfProductName() {
        return fProductName;
    }

    public void setfProductName(String fProductName) {
        this.fProductName = fProductName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "QueryMenu{" +
                "corpName='" + corpName + '\'' +
                ", fMblno='" + fMblno + '\'' +
                ", fBsdate=" + fBsdate +
                ", fReviewDate=" + fReviewDate +
                ", feeName='" + feeName + '\'' +
                ", fBillstatusName='" + fBillstatusName + '\'' +
                ", fDc='" + fDc + '\'' +
                ", fAmount=" + fAmount +
                ", fStlamount=" + fStlamount +
                ", fStlamountDate=" + fStlamountDate +
                ", fInvamount=" + fInvamount +
                ", fInvnos='" + fInvnos + '\'' +
                ", fAccamount=" + fAccamount +
                ", fAccamountDate=" + fAccamountDate +
                ", fStatementNo='" + fStatementNo + '\'' +
                ", fFeeunitid=" + fFeeunitid +
                ", fQty=" + fQty +
                ", fUnitprice=" + fUnitprice +
                ", fBilltype='" + fBilltype + '\'' +
                ", fProductName='" + fProductName + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
